<?php
function tusi_customize_register($wp_customize){
    $wp_customize->add_section('tusi_header', array(
        'title'    => esc_html__('Tusi Header Phone and email', 'tusi'),
        'description' => '',
        'priority' => 30,
    ));
    
     $wp_customize->add_section('tusi_social', array(
        'title'    => esc_html__('Tusi Social Link', 'tusi'),
        'description' => '',
        'priority' => 35,
    ));
    
    $wp_customize->add_section('tusi_footer', array(
        'title'    => esc_html__('Tusi Footer', 'tusi'),
        'description' => '',
        'priority' => 37,
    ));
 
    //  =============================
    //  = Text Input phone number                =
    //  =============================
    $wp_customize->add_setting('tusi_phone', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
 
    $wp_customize->add_control('tusi_phone', array(
        'label'      => esc_html__('Phone Number', 'tusi'),
        'section'    => 'tusi_header',
        'setting'   => 'tusi_phone',
        'type'    => 'text'
    ));
    
    //  =============================
    //  = Text Input Email                =
    //  =============================
    $wp_customize->add_setting('tusi_email', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_email'       
    ));
 
    $wp_customize->add_control('tusi_email', array(
        'label'      => esc_html__('Email', 'tusi'),
        'section'    => 'tusi_header',
        'setting'   => 'tusi_email',
        'type'    => 'email'
    ));
    
    //  =============================
    //  = Text Input facebook                =
    //  =============================
    $wp_customize->add_setting('tusi_fb', array(
        'default'        => '',
        'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('tusi_fb', array(
        'label'      => esc_html__('Facebook', 'tusi'),
        'section'    => 'tusi_social',
        'setting'   => 'tusi_fb',
    ));
    //  =============================
    //  = Text Input Twitter                =
    //  =============================
    $wp_customize->add_setting('tusi_twitter', array(
        'default'        => '',
        'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('tusi_twitter', array(
        'label'      => esc_html__('Twitter', 'tusi'),
        'section'    => 'tusi_social',
        'setting'   => 'tusi_twitter',
    ));
    //  =============================
    //  = Text Input googleplus                =
    //  =============================
    $wp_customize->add_setting('tusi_glplus', array(
        'default'        => '',
        'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('tusi_glplus', array(
        'label'      => esc_html__('Google Plus', 'tusi'),
        'section'    => 'tusi_social',
        'setting'   => 'tusi_glplus',
    ));
    //  =============================
    //  = Text Input linkedin                =
    //  =============================
    $wp_customize->add_setting('tusi_in', array(
        'default'        => '',
        'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('tusi_in', array(
        'label'      => esc_html__('Linkedin', 'tusi'),
        'section'    => 'tusi_social',
        'setting'   => 'tusi_in',
    ));
    
    
  //  =============================
    //  = Footer              =
    //  =============================
    
    // Footer copyright
     $wp_customize->add_setting('tusi_copyright', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_textarea_field'       
    ));
 
    $wp_customize->add_control('tusi_copyright', array(
        'label'      => esc_html__('Copyright', 'tusi'),
        'section'    => 'tusi_footer',
        'setting'   => 'tusi_copyright',
        'type'     =>'textarea'
    )); 
}
add_action('customize_register', 'tusi_customize_register');
?>